Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xerces.validators.datatype
Class DatatypeMessageProvider

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.datatype.DatatypeMessageProvider

public class DatatypeMessageProvider
extends java.lang.Object
implements XMLMessageProvider

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: DatatypeMessageProvider.java,v 1.6 2000/08/31 19:48:15 jeffreyr Exp $
Author:
  Jeffrey Rodriguez
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `DATATYPE_DOMAIN` The domain of messages concerning the XML Schema: Datatypes specification.
`static int` | `FacetsInconsistent`
`static java.lang.String[]` | `fgMessageKeys`
`static int` | `IllegalDecimalFacet`
`static int` | `IllegalFacetValue`
`static int` | `IllegalIntegerFacet`
`static int` | `IllegalRealFacet`
`static int` | `InvalidEnumValue`
`static int` | `MSG_BAD_MAJORCODE`
`static int` | `MSG_FORMAT_FAILURE`
`static int` | `MSG_MAX_CODE`
`static int` | `MSG_NONE`
`static int` | `NotAnEnumValue`
`static int` | `NotBoolean`
`static int` | `NotDecimal`
`static int` | `NotFloat`
`static int` | `NotInteger`
`static int` | `NotReal`
`static int` | `OutOfBounds`
`static int` | `PrecisionExceeded`
`static int` | `ScaleExceeded`
`static int` | `ScaleLargerThanPrecision`
`static int` | `UnknownFacet`

Constructor Summary
`DatatypeMessageProvider()`

Method Summary
`java.lang.String` | `createMessage(java.util.Locale locale, int majorCode, int minorCode, java.lang.Object[] args)` Creates a message from the specified key and replacement arguments, localized to the given locale.
`java.util.Locale` | `getLocale()` get the local used for error messages
`void` | `setLocale(java.util.Locale locale)` Set the locale used for error messages

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATATYPE_DOMAIN

    public static final java.lang.String DATATYPE_DOMAIN

  The domain of messages concerning the XML Schema: Datatypes specification.

### MSG_BAD_MAJORCODE

    public static final int MSG_BAD_MAJORCODE

### MSG_FORMAT_FAILURE

    public static final int MSG_FORMAT_FAILURE

### NotBoolean

    public static final int NotBoolean

### NotDecimal

    public static final int NotDecimal

### FacetsInconsistent

    public static final int FacetsInconsistent

### IllegalFacetValue

    public static final int IllegalFacetValue

### IllegalDecimalFacet

    public static final int IllegalDecimalFacet

### UnknownFacet

    public static final int UnknownFacet

### InvalidEnumValue

    public static final int InvalidEnumValue

### OutOfBounds

    public static final int OutOfBounds

### NotAnEnumValue

    public static final int NotAnEnumValue

### NotInteger

    public static final int NotInteger

### IllegalIntegerFacet

    public static final int IllegalIntegerFacet

### NotReal

    public static final int NotReal

### IllegalRealFacet

    public static final int IllegalRealFacet

### ScaleLargerThanPrecision

    public static final int ScaleLargerThanPrecision

### PrecisionExceeded

    public static final int PrecisionExceeded

### ScaleExceeded

    public static final int ScaleExceeded

### NotFloat

    public static final int NotFloat

### MSG_MAX_CODE

    public static final int MSG_MAX_CODE

### MSG_NONE

    public static final int MSG_NONE

### fgMessageKeys

    public static final java.lang.String[] fgMessageKeys

Constructor Detail

### DatatypeMessageProvider

    public DatatypeMessageProvider()

Method Detail

### setLocale

    public void setLocale(java.util.Locale locale)

  Set the locale used for error messages
  Specified by:
    setLocale in interface XMLMessageProvider

  Parameters:
    `locale` - the new locale

### getLocale

    public java.util.Locale getLocale()

  get the local used for error messages
  Specified by:
    getLocale in interface XMLMessageProvider

  Returns:
    the locale

### createMessage

    public java.lang.String createMessage(java.util.Locale locale,
                                          int majorCode,
                                          int minorCode,
                                          java.lang.Object[] args)

  Creates a message from the specified key and replacement arguments, localized to the given locale.
  Specified by:
    createMessage in interface XMLMessageProvider

  Parameters:
    `locale` - The requested locale of the message to be created.
    `key` - The key for the message text.
    `args` - The arguments to be used as replacement text in the message created.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD